org.jboss.resteasy.plugins.server.servlet

## Class Filter30Dispatcher

- java.lang.Object
- - org.jboss.resteasy.plugins.server.servlet.FilterDispatcher
  - - org.jboss.resteasy.plugins.server.servlet.Filter30Dispatcher

- All Implemented Interfaces:
    javax.servlet.Filter, HttpRequestFactory, HttpResponseFactory

      @WebFilter(asyncSupported=true)
      public class Filter30Dispatcher
      extends FilterDispatcher

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.server.servlet.FilterDispatcher

      `servletContainerDispatcher, servletContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Filter30Dispatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpRequest` | `createResteasyHttpRequest(String httpMethod, javax.servlet.http.HttpServletRequest httpServletRequest, ResteasyHttpHeaders httpHeaders, ResteasyUriInfo uriInfo, HttpResponse httpResponse, javax.servlet.http.HttpServletResponse httpServletResponse)`
    `HttpResponse` | `createResteasyHttpResponse(javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.servlet.FilterDispatcher

      `destroy, doFilter, getDispatcher, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Filter30Dispatcher

          public Filter30Dispatcher()

  - ### Method Detail

    - #### createResteasyHttpRequest

          public HttpRequest createResteasyHttpRequest(String httpMethod,
                                              javax.servlet.http.HttpServletRequest httpServletRequest,
                                              ResteasyHttpHeaders httpHeaders,
                                              ResteasyUriInfo uriInfo,
                                              HttpResponse httpResponse,
                                              javax.servlet.http.HttpServletResponse httpServletResponse)

      Specified by:
        `createResteasyHttpRequest` in interface `HttpRequestFactory`
      Overrides:
        `createResteasyHttpRequest` in class `FilterDispatcher`

    - #### createResteasyHttpResponse

          public HttpResponse createResteasyHttpResponse(javax.servlet.http.HttpServletResponse response)

      Specified by:
        `createResteasyHttpResponse` in interface `HttpResponseFactory`
      Overrides:
        `createResteasyHttpResponse` in class `FilterDispatcher`

Copyright © 2014. All Rights Reserved.